Can't deploy to heroku

Hello everybody.

I’m trying to release a service using discourse.

Since it ran in local environment (following this link), I am trying to deploy to heroku with reference to the following link.
Setting up Discourse on Heroku

However, I have error like below, is there anyone who know how to fix it?

 $ heroku addons:add heroku-postgresql:dev --version=9.2
 Creating heroku-postgresql:dev on ⬢ project_name... !
 ▸    Couldn't find either the add-on service or the add-on plan of "heroku-postgresql:dev".

Hi @zyouchi, this is not a supported installation process. Maybe you would have more chance with this more recent fork GitHub - rwdaigle/discourse: Discourse on Heroku.

3 Likes

thanks @joffreyjaffeux ( ・∇・)
I’m running a lot now (Deploying to Heroku)

However, I have error like below, can you imagine why this is happen?

$ heroku labs:enable user-env-compile
›   Warning: heroku update available from 7.4.7 to 7.4.11
▸    Couldn't find that feature.

If think this has been deprecated a long time ago, see App environment available in all builds | Heroku Dev Center

3 Likes

And then I tried below, push is rejected 。゚(゚´Д`゚)゚。

$git push heroku master

Counting objects: 329047, done.
Delta compression using up to 4 threads.
Compressing objects: 100% (120287/120287), done.
Writing objects: 100% (329047/329047), 215.38 MiB | 1.26 MiB/s, done.
Total 329047 (delta 205146), reused 329002 (delta 205108)
remote: Compressing source files... done.
remote: Building source:
remote: 
remote: -----> Ruby app detected
remote: -----> Compiling Ruby/Rails
remote: -----> Using Ruby version: ruby-2.4.4
remote: -----> Installing dependencies using bundler 1.15.2
remote:        Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment
remote:        Warning: the running version of Bundler (1.15.2) is older than the version that created the lockfile (1.16.2). We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.
remote:        Fetching gem metadata from https://rubygems.org/.......
remote:        Fetching version metadata from https://rubygems.org/..
remote:        Fetching dependency metadata from https://rubygems.org/.
remote:        Fetching rake 12.3.1
remote:        Fetching concurrent-ruby 1.0.5
remote:        Fetching minitest 5.11.3
remote:        Installing minitest 5.11.3
remote:        Installing rake 12.3.1
remote:        Installing concurrent-ruby 1.0.5
remote:        Fetching thread_safe 0.3.6
remote:        Fetching builder 3.2.3
remote:        Installing thread_safe 0.3.6
remote:        Installing builder 3.2.3
remote:        Fetching erubi 1.7.1
remote:        Fetching mini_portile2 2.3.0
remote:        Fetching crass 1.0.4
remote:        Installing erubi 1.7.1
remote:        Installing mini_portile2 2.3.0
remote:        Fetching rack 2.0.5
remote:        Installing crass 1.0.4
remote:        Fetching mini_mime 1.0.0
remote:        Installing mini_mime 1.0.0
remote:        Fetching arel 9.0.0
remote:        Installing rack 2.0.5
remote:        Fetching aws-eventstream 1.0.1
remote:        Installing arel 9.0.0
remote:        Installing aws-eventstream 1.0.1
remote:        Fetching aws-partitions 1.92.0
remote:        Installing aws-partitions 1.92.0
remote:        Fetching aws-sigv4 1.0.2
remote:        Installing aws-sigv4 1.0.2
remote:        Fetching jmespath 1.4.0
remote:        Fetching ember-source 2.13.3
remote:        Installing jmespath 1.4.0
remote:        Fetching execjs 2.7.0
remote:        Installing execjs 2.7.0
remote:        Fetching msgpack 1.2.4
remote:        Using bundler 1.15.2
remote:        Fetching chunky_png 1.3.10
remote:        Installing msgpack 1.2.4 with native extensions
remote:        Installing chunky_png 1.3.10
remote:        Installing ember-source 2.13.3
remote:        Fetching coderay 1.1.2
remote:        Installing coderay 1.1.2
remote:        Fetching connection_pool 2.2.2
remote:        Installing connection_pool 2.2.2
remote:        Fetching cppjieba_rb 0.3.0
remote:        Fetching exifr 1.3.4
remote:        Installing exifr 1.3.4
remote:        Fetching fspath 3.1.0
remote:        Installing fspath 3.1.0
remote:        Fetching image_size 1.5.0
remote:        Installing image_size 1.5.0
remote:        Fetching in_threads 1.5.0
remote:        Installing in_threads 1.5.0
remote:        Fetching progress 3.4.0
remote:        Installing progress 3.4.0
remote:        Fetching email_reply_trimmer 0.1.12
remote:        Installing email_reply_trimmer 0.1.12
remote:        Fetching method_source 0.8.2
remote:        Installing method_source 0.8.2
remote:        Fetching thor 0.19.4
remote:        Installing thor 0.19.4
remote:        Fetching excon 0.62.0
remote:        Installing excon 0.62.0
remote:        Installing cppjieba_rb 0.3.0 with native extensions
remote:        Fetching multipart-post 2.0.0
remote:        Installing multipart-post 2.0.0
remote:        Fetching fast_blank 1.0.0
remote:        Installing fast_blank 1.0.0 with native extensions
remote:        Fetching fast_xs 0.8.0
remote:        Installing fast_xs 0.8.0 with native extensions
remote:        Fetching fastimage 2.1.3
remote:        Installing fastimage 2.1.3
remote:        Fetching ffi 1.9.25
remote:        Installing ffi 1.9.25 with native extensions
remote:        Fetching flamegraph 0.9.5
remote:        Installing flamegraph 0.9.5
remote:        Fetching gc_tracer 1.5.1
remote:        Installing gc_tracer 1.5.1 with native extensions
remote:        Fetching guess_html_encoding 0.0.11
remote:        Installing guess_html_encoding 0.0.11
remote:        Fetching hashie 3.5.7
remote:        Installing hashie 3.5.7
remote:        Fetching highline 2.0.0
remote:        Installing highline 2.0.0
remote:        Fetching hiredis 0.6.1
remote:        Installing hiredis 0.6.1 with native extensions
remote:        Fetching hkdf 0.3.0
remote:        Installing hkdf 0.3.0
remote:        Fetching htmlentities 4.3.4
remote:        Installing htmlentities 4.3.4
remote:        Fetching http_accept_language 2.0.5
remote:        Installing http_accept_language 2.0.5
remote:        Fetching jwt 1.5.6
remote:        Installing jwt 1.5.6
remote:        Fetching kgio 2.11.2
remote:        Installing kgio 2.11.2 with native extensions
remote:        Fetching libv8 6.3.292.48.1 (x86_64-linux)
remote:        Installing libv8 6.3.292.48.1 (x86_64-linux)
remote:        Fetching logstash-event 1.2.02
remote:        Installing logstash-event 1.2.02
remote:        Fetching logster 1.2.9
remote:        Fetching lru_redux 1.1.0
remote:        Installing lru_redux 1.1.0
remote:        Fetching memory_profiler 0.9.10
remote:        Installing logster 1.2.9
remote:        Installing memory_profiler 0.9.10
remote:        Fetching moneta 1.0.0
remote:        Installing moneta 1.0.0
remote:        Fetching multi_json 1.13.1
remote:        Installing multi_json 1.13.1
remote:        Fetching multi_xml 0.6.0
remote:        Installing multi_xml 0.6.0
remote:        Fetching mustache 1.0.5
remote:        Installing mustache 1.0.5
remote:        Fetching oauth 0.5.4
remote:        Fetching oj 3.6.2
remote:        Installing oauth 0.5.4
remote:        Installing oj 3.6.2 with native extensions
remote:        Fetching ruby-openid 2.7.0
remote:        Installing ruby-openid 2.7.0
remote:        Fetching redis 4.0.1
remote:        Installing redis 4.0.1
remote:        Fetching pg 0.21.0
remote:        Installing pg 0.21.0 with native extensions
remote:        Fetching slop 3.6.0
remote:        Installing slop 3.6.0
remote:        Fetching puma 3.11.4
remote:        Installing puma 3.11.4 with native extensions
remote:        Fetching r2 0.2.7
remote:        Installing r2 0.2.7
remote:        Fetching raindrops 0.19.0
remote:        Installing raindrops 0.19.0 with native extensions
remote:        Fetching rb-fsevent 0.10.3
remote:        Installing rb-fsevent 0.10.3
remote:        Fetching trollop 2.1.2
remote:        Installing trollop 2.1.2
remote:        Fetching rinku 2.0.4
remote:        Installing rinku 2.0.4 with native extensions
remote:        Fetching rotp 3.3.1
remote:        Installing rotp 3.3.1
remote:        Fetching rtlit 0.0.5
remote:        Installing rtlit 0.0.5
remote:        Fetching sshkey 1.9.0
remote:        Installing sshkey 1.9.0
remote:        Fetching stackprof 0.2.11
remote:        Installing stackprof 0.2.11 with native extensions
remote:        Fetching tilt 2.0.8
remote:        Installing tilt 2.0.8
remote:        Fetching unf_ext 0.0.7.5
remote:        Installing unf_ext 0.0.7.5 with native extensions
remote:        Fetching rake-compiler 1.0.4
remote:        Installing rake-compiler 1.0.4
remote:        Fetching i18n 1.0.1
remote:        Installing i18n 1.0.1
remote:        Fetching tzinfo 1.2.5
remote:        Installing tzinfo 1.2.5
remote:        Fetching nokogiri 1.8.3
remote:        Installing nokogiri 1.8.3 with native extensions
remote:        Fetching mail 2.7.1.rc1
remote:        Installing mail 2.7.1.rc1
remote:        Fetching aws-sdk-core 3.21.2
remote:        Installing aws-sdk-core 3.21.2
remote:        Fetching uglifier 4.1.11
remote:        Installing uglifier 4.1.11
remote:        Fetching rack-test 1.0.0
remote:        Installing rack-test 1.0.0
remote:        Fetching sprockets 3.7.2
remote:        Installing sprockets 3.7.2
remote:        Fetching request_store 1.4.1
remote:        Installing request_store 1.4.1
remote:        Fetching message_bus 2.1.5
remote:        Installing message_bus 2.1.5
remote:        Fetching rack-mini-profiler 1.0.0
remote:        Installing rack-mini-profiler 1.0.0
remote:        Fetching rack-protection 2.0.3
remote:        Installing rack-protection 2.0.3
remote:        Fetching rqrcode 0.10.1
remote:        Installing rqrcode 0.10.1
remote:        Fetching barber 0.12.0
remote:        Installing barber 0.12.0
remote:        Fetching ember-data-source 3.0.2
remote:        Installing ember-data-source 3.0.2
remote:        Fetching discourse_image_optim 0.24.5
remote:        Installing discourse_image_optim 0.24.5
remote:        Fetching faraday 0.12.2
remote:        Installing faraday 0.12.2
remote:        Fetching bootsnap 1.3.0
remote:        Installing bootsnap 1.3.0 with native extensions
remote:        Fetching mini_suffix 0.3.0
remote:        Installing mini_suffix 0.3.0
remote:        Fetching rb-inotify 0.9.10
remote:        Installing rb-inotify 0.9.10
remote:        Fetching omniauth 1.8.1
remote:        Installing omniauth 1.8.1
remote:        Fetching webpush 0.3.2
remote:        Installing webpush 0.3.2
remote:        Fetching mini_racer 0.1.15
remote:        Installing mini_racer 0.1.15 with native extensions
remote:        Fetching logstash-logger 0.26.1
remote:        Installing logstash-logger 0.26.1
remote:        Fetching rack-openid 1.3.1
remote:        Installing rack-openid 1.3.1
remote:        Fetching openid-redis-store 0.0.2
remote:        Installing openid-redis-store 0.0.2
remote:        Fetching redis-namespace 1.6.0
remote:        Installing redis-namespace 1.6.0
remote:        Fetching pry 0.10.4
remote:        Installing pry 0.10.4
remote:        Fetching rbtrace 0.4.10
remote:        Installing rbtrace 0.4.10 with native extensions
remote:        Fetching unicorn 5.4.0
remote:        Installing unicorn 5.4.0 with native extensions
remote:        Fetching fast_xor 1.1.3
remote:        Installing fast_xor 1.1.3 with native extensions
remote:        Fetching activesupport 5.2.0
remote:        Installing activesupport 5.2.0
remote:        Fetching aws-sdk-kms 1.5.0
remote:        Installing aws-sdk-kms 1.5.0
remote:        Fetching sidekiq 5.1.3
remote:        Installing sidekiq 5.1.3
remote:        Fetching ember-handlebars-template 0.7.5
remote:        Installing ember-handlebars-template 0.7.5
remote:        Fetching oauth2 1.4.0
remote:        Installing oauth2 1.4.0
remote:        Fetching unf 0.1.4
remote:        Installing unf 0.1.4
remote:        Fetching sass-listen 4.0.0
remote:        Installing sass-listen 4.0.0
remote:        Fetching omniauth-oauth 1.1.0
remote:        Installing omniauth-oauth 1.1.0
remote:        Fetching loofah 2.2.2
remote:        Installing loofah 2.2.2
remote:        Fetching nokogumbo 1.5.0
remote:        Installing nokogumbo 1.5.0 with native extensions
remote:        Fetching ruby-readability 0.7.0
remote:        Installing ruby-readability 0.7.0
remote:        Fetching omniauth-openid 1.0.1
remote:        Installing omniauth-openid 1.0.1
remote:        Fetching pry-rails 0.3.6
remote:        Installing pry-rails 0.3.6
remote:        Fetching rails-dom-testing 2.0.3
remote:        Installing rails-dom-testing 2.0.3
remote:        Fetching globalid 0.4.1
remote:        Installing globalid 0.4.1
remote:        Fetching activemodel 5.2.0
remote:        Installing activemodel 5.2.0
remote:        Fetching aws-sdk-s3 1.14.0
remote:        Fetching omniauth-oauth2 1.5.0
remote:        Installing omniauth-oauth2 1.5.0
remote:        Installing aws-sdk-s3 1.14.0
remote:        Fetching sass 3.5.6
remote:        Installing sass 3.5.6
remote:        Fetching omniauth-twitter 1.4.0
remote:        Installing omniauth-twitter 1.4.0
remote:        Fetching rails-html-sanitizer 1.0.4
remote:        Installing rails-html-sanitizer 1.0.4
remote:        Fetching activejob 5.2.0
remote:        Installing activejob 5.2.0
remote:        Fetching active_model_serializers 0.8.4
remote:        Installing active_model_serializers 0.8.4
remote:        Fetching activerecord 5.2.0
remote:        Installing activerecord 5.2.0
remote:        Fetching omniauth-facebook 5.0.0
remote:        Installing omniauth-facebook 5.0.0
remote:        Fetching omniauth-github 1.3.0
remote:        Installing omniauth-github 1.3.0
remote:        Fetching omniauth-google-oauth2 0.5.3
remote:        Installing omniauth-google-oauth2 0.5.3
remote:        Fetching omniauth-instagram 1.3.0
remote:        Installing omniauth-instagram 1.3.0
remote:        Fetching actionview 5.2.0
remote:        Installing actionview 5.2.0
remote:        Fetching sassc 1.11.4
remote:        Installing sassc 1.11.4 with native extensions
remote:        Fetching seed-fu 2.3.9
remote:        Installing seed-fu 2.3.9
remote:        Fetching actionpack 5.2.0
remote:        Installing actionpack 5.2.0
remote:        Fetching actionmailer 5.2.0
remote:        Installing actionmailer 5.2.0
remote:        Fetching railties 5.2.0
remote:        Installing railties 5.2.0
remote:        Fetching sprockets-rails 3.2.1
remote:        Installing sprockets-rails 3.2.1
remote:        Fetching jquery-rails 4.3.3
remote:        Installing jquery-rails 4.3.3
remote:        Fetching lograge 0.10.0
remote:        Installing lograge 0.10.0
remote:        Fetching rails_multisite 2.0.5
remote:        Installing rails_multisite 2.0.5
remote:        Fetching ember-rails 0.18.5
remote:        Installing ember-rails 0.18.5
remote:        Fetching sanitize 4.6.5
remote:        Installing sanitize 4.6.5
remote:        Fetching onebox 1.8.48
remote:        Installing onebox 1.8.48
remote:        Bundle complete! 107 Gemfile dependencies, 148 gems now installed.
remote:        Gems in the groups development and test were not installed.
remote:        Bundled gems are installed into ./vendor/bundle.
remote:        Post-install message from discourse_image_optim:
remote:        Rails image assets optimization is extracted into image_optim_rails gem
remote:        You can safely remove `config.assets.image_optim = false` if you are not going to use that gem
remote:        Bundle completed (192.18s)
remote:        Cleaning up the bundler cache.
remote: -----> Installing node-v8.10.0-linux-x64
remote: -----> Detecting rake tasks
remote: -----> Preparing app for Rails asset pipeline
remote:        Running: rake assets:precompile
remote:        Failed to report error: Error connecting to Redis on localhost:6379 (Errno::ECONNREFUSED) 2 Error connecting to Redis on localhost:6379 (Errno::ECONNREFUSED) subscribe failed, reconnecting in 1 second. Call stack ["/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:344:in `rescue in establish_connection'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:328:in `establish_connection'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:99:in `block in connect'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:291:in `with_reconnect'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:98:in `connect'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:274:in `with_socket_timeout'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:131:in `call_loop'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/subscribe.rb:43:in `subscription'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/subscribe.rb:12:in `subscribe'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:2824:in `_subscription'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:2192:in `block in subscribe'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:45:in `block in synchronize'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/ruby-2.4.4/lib/ruby/2.4.0/monitor.rb:214:in `mon_synchronize'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:45:in `synchronize'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:2191:in `subscribe'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/message_bus-2.1.5/lib/message_bus/backends/redis.rb:337:in `global_subscribe'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/message_bus-2.1.5/lib/message_bus.rb:530:in `global_subscribe_thread'", "/tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/message_bus-2.1.5/lib/message_bus.rb:478:in `block in new_subscriber_thread'"] 
remote:        fatal: Not a git repository (or any parent up to mount point /tmp)
remote:        Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
remote:        rake aborted!
remote:        Redis::CannotConnectError: Error connecting to Redis on localhost:6379 (Errno::ECONNREFUSED)
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:344:in `rescue in establish_connection'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:328:in `establish_connection'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:99:in `block in connect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:291:in `with_reconnect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:98:in `connect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:363:in `ensure_connected'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:219:in `block in process'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:304:in `logging'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:218:in `process'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:118:in `call'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:523:in `block in del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:45:in `block in synchronize'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:45:in `synchronize'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:522:in `del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/discourse_redis.rb:200:in `block in del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/discourse_redis.rb:153:in `ignore_readonly'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/discourse_redis.rb:198:in `del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/cache.rb:57:in `delete_entry'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:457:in `block in delete'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:663:in `block in instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/notifications.rb:170:in `instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:663:in `instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:456:in `delete'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:366:in `clear_cache!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:262:in `block in refresh!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:243:in `synchronize'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:243:in `refresh!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:408:in `block in setup_methods'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/config/initializers/004-message_bus.rb:99:in `<top (required)>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:277:in `load'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:277:in `block in load'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:in `load_dependency'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:277:in `load'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:657:in `block in load_config_initializer'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/notifications.rb:170:in `instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:656:in `load_config_initializer'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:614:in `block (2 levels) in <class:Engine>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:613:in `each'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:613:in `block in <class:Engine>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:32:in `instance_exec'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:32:in `run'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:61:in `block in run_initializers'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:50:in `each'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:50:in `tsort_each_child'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:60:in `run_initializers'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/application.rb:361:in `initialize!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/railtie.rb:190:in `public_send'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/railtie.rb:190:in `method_missing'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/config/environment.rb:5:in `<top (required)>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in `require'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in `block in require'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:in `load_dependency'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in `require'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/application.rb:337:in `require_environment!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/application.rb:520:in `block in run_tasks_blocks'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.rb:62:in `block (2 levels) in define'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'
remote:        
remote:        Caused by:
remote:        Errno::ECONNREFUSED: Connection refused
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/connection/hiredis.rb:19:in `connect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/connection/hiredis.rb:19:in `connect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:334:in `establish_connection'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:99:in `block in connect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:291:in `with_reconnect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:98:in `connect'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:363:in `ensure_connected'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:219:in `block in process'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:304:in `logging'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:218:in `process'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis/client.rb:118:in `call'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:523:in `block in del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:45:in `block in synchronize'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:45:in `synchronize'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/redis-4.0.1/lib/redis.rb:522:in `del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/discourse_redis.rb:200:in `block in del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/discourse_redis.rb:153:in `ignore_readonly'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/discourse_redis.rb:198:in `del'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/cache.rb:57:in `delete_entry'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:457:in `block in delete'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:663:in `block in instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/notifications.rb:170:in `instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:663:in `instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/cache.rb:456:in `delete'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:366:in `clear_cache!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:262:in `block in refresh!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:243:in `synchronize'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:243:in `refresh!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/lib/site_setting_extension.rb:408:in `block in setup_methods'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/config/initializers/004-message_bus.rb:99:in `<top (required)>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:277:in `load'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:277:in `block in load'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:in `load_dependency'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:277:in `load'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:657:in `block in load_config_initializer'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/notifications.rb:170:in `instrument'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:656:in `load_config_initializer'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:614:in `block (2 levels) in <class:Engine>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:613:in `each'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/engine.rb:613:in `block in <class:Engine>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:32:in `instance_exec'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:32:in `run'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:61:in `block in run_initializers'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:50:in `each'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:50:in `tsort_each_child'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/initializable.rb:60:in `run_initializers'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/application.rb:361:in `initialize!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/railtie.rb:190:in `public_send'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/railtie.rb:190:in `method_missing'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/config/environment.rb:5:in `<top (required)>'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in `require'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in `block in require'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:249:in `load_dependency'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/activesupport-5.2.0/lib/active_support/dependencies.rb:283:in `require'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/application.rb:337:in `require_environment!'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/railties-5.2.0/lib/rails/application.rb:520:in `block in run_tasks_blocks'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/sprockets-rails-3.2.1/lib/sprockets/rails/task.rb:62:in `block (2 levels) in define'
remote:        /tmp/build_beaac955e02f94daadc08de67252d52b/vendor/bundle/ruby/2.4.0/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'
remote:        Tasks: TOP => environment
remote:        (See full trace by running task with --trace)
remote:  !
remote:  !     Precompiling assets failed.
remote:  !
remote:  !     Push rejected, failed to compile Ruby app.
remote: 
remote:  !     Push failed
remote: Verifying deploy...
remote: 
remote: !	Push rejected to project_name.
remote: 
To https://git.heroku.com/project_name.git
 ! [remote rejected]       master -> master (pre-receive hook declined)
error: failed to push some refs to 'https://git.heroku.com/project_name.git'

This isn’t supported. We recommend following our official install guide. Heroku is also extremely expensive for what you get.

1 Like

Disagree. With Heroku, the price will be actually cheaper than with an official discourse hosting.

Standard x2 dyno


$50

Postgresql


$50 - 64 GB

Redis


$0 - 25 MB
$15 - 50 MB

Compare to a $5 or $10 per month digital ocean droplet. Comparing it to premium service specific dedicated hosting is beyond apples to oranges, that is comparing apples to … trees.

7 Likes

That’s true, but with Digital Ocean or AWS, you are not going to get an infrastructure, such as CI, Git repo, backups, automatic scaling, etc. You will have to build it all yourself with Kubernetes.

I think comparison makes sense here.

It does not. The Docker container includes all the necessary dependencies, and is regularly updated with only two commands at the command line.

3 Likes

Fine, you are the boss :slight_smile:

This topic was automatically closed after 30 hours. New replies are no longer allowed.